<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}
/**
 * @var array $data
 *
 */

use DEVELUXSCT\HTMLGenerators\SVG_Generator;

$post = $data['post'] ?? null;
if( !$post ) {
    return;
}
$develuxsct_options = $data['options'] ?? [];
$develuxsct_key = $data['key'] ?? '';
$develuxsct_global_key = $develuxsct_key.'_global';
$develuxsct_global_settings = wp_load_alloptions();
$develuxsct_global_value = $develuxsct_global_settings[$develuxsct_global_key] ?? '';
$develuxsct_ignore_global_settings = $data['ignore_global_settings'] ?? 1;
$develuxsct_allowed = SVG_Generator::get_allowed_svg_elements();

$develuxsct_legend = $data['legend'] ?? '';
$develuxsct_class_name = $data['class_name'] ?? '';
$develuxsct_flex_direction = $data['flex_direction'] ?? 'col';
$develuxsct_checkbox_val = get_post_meta($post->ID, $develuxsct_key, true);
$develuxsct_data_property = $data['data_property'] ?? '';
$develuxsct_data_dimension_unit_type = $data['data_dimension_unit_type'] ?? '';
$develuxsct_data_target = $data['data_target'] ?? '';
$develuxsct_items = $data['items'] ?? 'items-center';
$develuxsct_default_value = $data['default_value'] ?? '';
if( $develuxsct_ignore_global_settings ) {
    $develuxsct_value = get_post_meta($post->ID, $develuxsct_key, true);
    if (empty($develuxsct_value) && $develuxsct_default_value) {
        $develuxsct_value = $develuxsct_default_value;
    }
}else{
    $develuxsct_value = $develuxsct_global_value;
}
?>
<div class="label-style flex flex-<?php echo esc_attr($develuxsct_flex_direction); ?> flex-wrap <?php echo esc_attr($develuxsct_items); ?> gap-5">
    <label><?php echo esc_html($develuxsct_legend); ?></label>
    <?php
    if( $develuxsct_options ): ?>
        <div class="develux-radiobutton-decor flex flex-row items-center">
       <?php foreach($develuxsct_options as $develuxsct_option): ?>

                <label for="<?php echo esc_attr($develuxsct_option['id']) ?? ''; ?>">
                    <input data-default-value="<?php echo esc_attr($develuxsct_default_value); ?>"
                           data-target="<?php echo esc_attr($develuxsct_data_target); ?>"
                           data-property="<?php echo esc_attr($develuxsct_data_property); ?>"
                           data-unit="<?php echo esc_attr($develuxsct_data_dimension_unit_type); ?>"
                           id="<?php echo esc_attr($develuxsct_option['id']) ?? ''; ?>"
                           type="radio"
                           class="<?php echo esc_attr($develuxsct_class_name); ?>"
                           name="<?php echo esc_attr($develuxsct_key); ?>"
                           value="<?php echo esc_attr($develuxsct_option['value']) ?? ''; ?>" <?php checked( $develuxsct_option['value'],  $develuxsct_value ); ?>>
                    <span class="radiobutton-decor-svg-icon"><?php echo wp_kses( $develuxsct_option['label'],$develuxsct_allowed) ?? ''; ?></span>
                </label>

        <?php endforeach; ?>
        </div>
   <?php endif; ?>
</div>

